clang-tools 10.0.0

Namespaces | Functions
SemanticSelection.h File Reference
`#include "ParsedAST.h"`
`#include "Protocol.h"`
`#include "llvm/Support/Error.h"`
`#include <vector>`
Include dependency graph for SemanticSelection.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
llvm::Expected< std::vector< Range > > | clang::clangd::getSemanticRanges (ParsedAST &AST, Position Pos)
| Returns the list of all interesting ranges around the Position `Pos`. More...